---
- name: "add univention templates for apache2"
  become: true
  copy:
    src: "files/templates/files{{ item }}"
    dest: "/etc/univention/templates/files{{ item }}"
    mode: 0644
    owner: root
    group: root
  when:
    - ucr_templates is defined
  loop: "{{ ucr_templates }}"
  notify:
    - univention_check_templates

- name: "render univention templates to config files"
  become: true
  command: ucr commit "{{ item }}"
  when:
    - ucr_templates is defined
  loop: "{{ ucr_templates }}"

- name: "enable apache2 modules"
  become: true
  apache2_module:
    state: present
    name: "{{ item }}"
  loop:
    - "headers"
    - "rewrite"
    - "ssl"
  notify:
    - apache2 restart

- name: "enable apache2 sites"
  command:
    cmd: a2ensite "{{ item |regex_replace('^.*/', '') }}"
    creates: "/etc/apache2/sites-enabled/{{ item |regex_replace('^.*/', '') }}"
  loop: "{{ ucr_templates }}"
  when:
    - ucr_templates is defined
  notify:
    - apache2 reload
